# Author:  Pablo Marti
# Copyright (C) 2006  Warp Networks S.L.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
"""
Stuff used at shutdown
"""
__version__ = "$Rev: 377 $"

# twisted imports
from twisted.internet import reactor, interfaces
from twisted.python import log

def shutdown_core(signal=None, frame=None):
    selectables = reactor.removeAll()
    [sel.signalProcess('KILL') for sel in selectables
         if interfaces.IProcessTransport.providedBy(sel)]
    
    log.msg(_('Shutting down...'))
    reactor.callLater(2, reactor.stop)
    