# Author:  Pablo Marti
# Copyright (C) 2006  Warp Networks S.L.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

__version__ = "$Rev: 373 $"

# gtk imports
import gtk

# gtkmvc imports
from gtkmvc.controller import Controller

class SplashController(Controller):
    """Controller for splash screen"""
    
    def __init__(self, model):
        Controller.__init__(self, model)
    
    def register_view(self, view):
        Controller.register_view(self, view)
        window = view.get_top_widget()
        window.set_position(gtk.WIN_POS_CENTER)
    
    def on_cancel_button_clicked(self, widget):
        from common.shutdown import shutdown_core
        shutdown_core()
    
        