# Author:  Pablo Marti
# Copyright (C) 2006  Warp Networks S.L.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
"""View for the PIN modify window"""
__version__ = "$Rev: 359 $"

# python imports
import os.path
import utils.globals
# gtkmvc imports
from gtkmvc import View

class PinModifyView(View):
    """View for the PIN modify window"""
    
    GLADE_FILE = os.path.join(utils.globals.GLADE_DIR, "pin.glade")
    
    def __init__(self, ctrl):
        View.__init__(self, ctrl, self.GLADE_FILE,
                      'pin_modify_window', register=False, domain="VMC")
        self.setup_view()
        ctrl.register_view(self)
    
    def setup_view(self):
        pass

class AskPINView(View):
    """View for the ask PIN dialog"""
    
    GLADE_FILE = os.path.join(utils.globals.GLADE_DIR, "pin.glade")
    
    def __init__(self, ctrl):
        View.__init__(self, ctrl, self.GLADE_FILE,
                      'ask_pin_window', register=False, domain="VMC")
        self.setup_view()
        ctrl.register_view(self)
    
    def setup_view(self):
        pass

class AskPUKView(View):
    """View for the ask PUK/PUK2 dialog"""
    
    GLADE_FILE = os.path.join(utils.globals.GLADE_DIR, "pin.glade")
    
    def __init__(self, ctrl):
        View.__init__(self, ctrl, self.GLADE_FILE,
                      'ask_puk_dialog', register=False, domain="VMC")
        self.setup_view()
        ctrl.register_view(self)
    
    def setup_view(self):
        pass
    