# Author:  Pablo Marti
# Copyright (C) 2006  Warp Networks S.L.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
"""View for the new sms window"""
__version__ = "$Rev: 359 $"

# python imports
import os.path
import utils.globals

# gtkmvc imports
from gtkmvc import View

class NewSmsView(View):
    """View for the new sms window"""
    
    GLADE_FILE = os.path.join(utils.globals.GLADE_DIR, "sms.glade")
    
    def __init__(self, ctrl):
        View.__init__(self, ctrl, self.GLADE_FILE,
                      'sms_edit_window', register=True, domain="VMC")
    
class ForwardSmsView(NewSmsView):
    """View for forwarding SMS"""
    
    def __init__(self, ctrl):
        NewSmsView.__init__(self, ctrl)
    