# Author:  Pablo Marti
# Copyright (C) 2006  Warp Networks S.L.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
"""Unittests for the aterrors module"""

__version__ = "$Rev: 120 $"

# fix path stuff
import sys
sys.path = ['/home/huno/vmc/src'] + sys.path

import common.exceptions as ex
from common.aterrors import extract_error

class TestATErrors:
    """Tests for the AT errors"""
    
    def test_cme_error(self):
        raw1 = '\r\n+CME ERROR: SIM interface not started\r\n'
        raw2 = '\r\n+CME ERROR: SIM busy\r\n'
        raw3 = '\r\n+CME ERROR: operation not allowed\r\n'
        raw4 = 'AT+CPIN=1330\r\r\n+CME ERROR: operation not allowed\r\n'
        
        assert extract_error(raw1)[0] == ex.CMEErrorSIMNotStarted
        assert extract_error(raw2)[0] == ex.CMEErrorSIMBusy
        assert extract_error(raw3)[0] == ex.CMEErrorOperationNotAllowed
        assert extract_error(raw4)[0] == ex.CMEErrorOperationNotAllowed
        
    def test_cms_error(self):
        raw1 = '\r\n+CMS ERROR: 500\r\n'
        raw2 = '\r\n+CMS ERROR: 301\r\n'
        raw3 = '\r\n+CMS ERROR: 321\r\n'
        
        assert extract_error(raw1)[0] == ex.CMSError500
        assert extract_error(raw2)[0] == ex.CMSError301
        assert extract_error(raw3)[0] == ex.CMSError321
    